text-show-2.1.1: Efficient conversion of values into Text

Copyright | (C) 2014-2015 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.GHC.StaticPtr

Description

Monomorphic `TextShow` function for `StaticPtrInfo` values. This module only exports functions if using `base-4.8.0.0` or later.

Since: 2

Synopsis

- showbStaticPtrInfoPrec :: Int -> StaticPtrInfo -> Builder

# Documentation

showbStaticPtrInfoPrec :: Int -> StaticPtrInfo -> Builder Source

Conver a `StaticPtrInfo` value to a `Builder` with the given precedence. This function is only available with `base-4.8.0.0` or later.

Since: 2